Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003017KdenliveRenderingpublic2013-03-13 10:162013-04-07 08:45
Reporterttguy 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntuOS Version12.04
Product VersionRecent git 
Target VersionFixed in Version0.9.6 
Summary0003017: render produces clip with the text "invalid" if a source clip file name ends in a space
DescriptionIf a file in the timeline ends in a space (eg if "a video.dv " is on the time line) then the file that results from the render will consist of the white text invalid throughout its length.
Steps To Reproduce1. rename a video file so that it ends in a space.
2. put this video into the project tree by dragging it into the project tree from a file explorer (eg Nautilus) [or you can use the add clip drop down but you need to filter by "all files" because file extensions ending in a space don't appear under "supported files"]
3. Drag this clip to the timeline
4. Render the project to probably any format (I tried .dv and .mpg and the result was the same)
5. View the rendered video
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0009445)
j-b-m (administrator)
2013-03-31 20:56

This is a limitation / inconsistency of the MLT xml producer, see for example producer_xml.c line 546:

char *resource = trim( mlt_properties_get( properties, "resource" ) );

The whitespaces are trimmed from beginning / end of the file name. Not sure if we want to change that behavior. If you think it is important, you can forward this issue on MLT's mailing list.
(0009449)
ttguy (updater)
2013-04-01 02:49

So I think you are saying that MLT trims the spaces and then later on it can not find the resource? This does seem like a defect to me. But a MLT defect.

Did you also see my http://kdenlive.org/mantis/view.php?id=3018 [^] suggestion which would help us out in not getting us into a situation where we have files ending in a space? It would be good to action 3018 and I will suggest MLT fix the actual issue with filenames ending in space.
(0009455)
ttguy (updater)
2013-04-01 14:48

created a bug on mlt for this https://sourceforge.net/p/mlt/bugs/193/ [^]
(0009462)
ttguy (updater)
2013-04-03 11:12

melt side of things has been fixed by Dan D in melt git commit 6d651e6

- Issue History
Date Modified Username Field Change
2013-03-13 10:16 ttguy New Issue
2013-03-31 20:56 j-b-m Note Added: 0009445
2013-03-31 20:56 j-b-m Assigned To => j-b-m
2013-03-31 20:56 j-b-m Status new => feedback
2013-04-01 02:49 ttguy Note Added: 0009449
2013-04-01 02:49 ttguy Status feedback => assigned
2013-04-01 14:48 ttguy Note Added: 0009455
2013-04-03 11:12 ttguy Note Added: 0009462
2013-04-04 17:46 j-b-m Status assigned => resolved
2013-04-04 17:46 j-b-m Fixed in Version => Recent git
2013-04-04 17:46 j-b-m Resolution open => fixed
2013-04-07 08:45 j-b-m Fixed in Version Recent git => 0.9.6
2013-04-07 08:45 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker